summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:44:54 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:44:54 +0200
commitc2c098f1854987ad894561006cf68c35ba8d462a (patch)
tree518d018b3d35e335e094f1e6051b3bb5afc65183 /office
parent8edc7e1f181f7f2fca8e20c38999983899ac39b1 (diff)
downloadslackbuilds-c2c098f1854987ad894561006cf68c35ba8d462a.tar.gz
slackbuilds-c2c098f1854987ad894561006cf68c35ba8d462a.tar.xz
office/xpad: Updated for version 3.0
Diffstat (limited to 'office')
-rw-r--r--office/xpad/README4
-rw-r--r--office/xpad/doinst.sh1
-rw-r--r--office/xpad/slack-desc22
-rw-r--r--office/xpad/xpad.SlackBuild42
-rw-r--r--office/xpad/xpad.info12
5 files changed, 45 insertions, 36 deletions
diff --git a/office/xpad/README b/office/xpad/README
index 23943b3b6b..7b500b0dd1 100644
--- a/office/xpad/README
+++ b/office/xpad/README
@@ -1,3 +1 @@
-Xpad is a sticky note application written using GTK+ 2.0 that strives to
-be simple, fault-tolerant, and customizable. Xpad consists of independent
-pad windows; each is basically a text box in which notes can be written.
+Xpad is a virtual sticky pad system using GTK+ 2.
diff --git a/office/xpad/doinst.sh b/office/xpad/doinst.sh
index 854e20633d..174d6f9e89 100644
--- a/office/xpad/doinst.sh
+++ b/office/xpad/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
./usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/office/xpad/slack-desc b/office/xpad/slack-desc
index 3bcad8ab9f..20e15560da 100644
--- a/office/xpad/slack-desc
+++ b/office/xpad/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-xpad: Xpad (sticky notes)
+ |-----handy-ruler------------------------------------------------------|
+xpad: Xpad (Sticky Notes)
+xpad:
+xpad: Xpad is a virtual sticky pad system using GTK+ 2.
+xpad:
+xpad: Homepage: http://mterry.name/xpad/
+xpad:
xpad:
-xpad: Xpad is a sticky note application written using GTK+ 2.0 that
-xpad: strives to be simple, fault-tolerant, and customizable. Xpad
-xpad: consists of independent pad windows; each is basically a text
-xpad: box in which notes can be written.
xpad:
-xpad: Homepage: http://xpad.sourceforge.net/
xpad:
xpad:
xpad:
diff --git a/office/xpad/xpad.SlackBuild b/office/xpad/xpad.SlackBuild
index 272cf2674d..d61a7af03e 100644
--- a/office/xpad/xpad.SlackBuild
+++ b/office/xpad/xpad.SlackBuild
@@ -2,13 +2,28 @@
# Slackware build script for xpad
-# Written by Frank Caraballo <fecaraballo{at}gmail{dot}com>
-# No Guarantees. Use this SlackBuild at your own risk.
-
-# Modified by the SlackBuilds.org project
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xpad
-VERSION=2.14
+VERSION=${VERSION:-3.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,8 +33,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -32,9 +45,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -48,9 +60,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-debug=no \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -62,13 +72,13 @@ make install-strip DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/xpad/xpad.info b/office/xpad/xpad.info
index 760597d2a2..5b9e728b2e 100644
--- a/office/xpad/xpad.info
+++ b/office/xpad/xpad.info
@@ -1,8 +1,8 @@
PRGNAM="xpad"
-VERSION="2.14"
-HOMEPAGE="http://xpad.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/xpad/xpad-2.14.tar.bz2"
-MD5SUM="1e12e6aec8f03a656eb6427ba22c38d3"
+VERSION="3.0"
+HOMEPAGE="http://mterry.name/xpad/"
+DOWNLOAD="http://launchpad.net/xpad/stable/3.0/+download/xpad-3.0.tar.bz2"
+MD5SUM="47e59f13252591f13cc9f611e34731be"
MAINTAINER="Frank Caraballo"
-EMAIL="<fecaraballo{at}gmail{dot}com>"
-APPROVED="David SOmero" \ No newline at end of file
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="dsomero"